var box = $(".box-force");
var forca = 0;
var etapa =  $('.etapa_page').val();

$(window).on('load', function(){
    
    if(etapa == 0){
        setForca($('#password_cad').val());
        //textInfo();    
    }
});


function textInfo(){
    $(".container-force-password .material-icons").attr("data-original-title","Para criar uma senha forte, use no mínimo 8 caracteres sendo letras maiúsculas, minúsculas, números e símbolos. Assim, seus dados continuam protegidos.")
}

$('body').on('keyup','#password_cad', function()
{
    //console.log($(this).val());
	setForca($(this).val())
});

function setForca(senha)
{
    forca = 0;
    if(senha != undefined)
    {
        if(senha.length < 8){
    		return mostra_res();
    	}
    	if((senha.length >= 8) && (senha.length <= 9) && senha.match(/[a-z]+/)){
    		forca += 10;
    	}else if((senha.length>8) && senha.match(/[a-z]+/)){
    		forca += 25;
    	}
    	if(senha.match(/[a-z]+/)){
    		forca += 10;
    	}
    	if(senha.match(/[A-Z]+/)){
    		forca += 20;
    	}
    	if(senha.match(/\d+/)){
    		forca += 20;
    	}
    	if(senha.match(/\W+/)){
    		forca += 25;
	    }
    }
    
	return mostra_res();
}

function mostra_res(){
    
    resetBg();
	if(forca > 0 && forca < 30){
		addBg(1,"bg-fraca");
		$('.container-force-password .info').html('Fraca');
	}
	else if((forca >= 30) && (forca < 60))
	{
		addBg(2,"bg-regular");
		$('.container-force-password .info').html('Regular');
	}
	else if((forca >= 60) && (forca < 85))
	{
		addBg(3,"bg-forte");
		$('.container-force-password .info').html('Forte');
	}else if(forca >= 85)
	{
		addBg(4,"bg-m-forte");
		$('.container-force-password .info').html('Muito forte');
	}
	
	return forca;
}

function resetBg(){
    $(".container-force-password .info").html("Fraca");
    $(".box-force").removeClass("bg-fraca");
    $(".box-force").removeClass("bg-regular");
    $(".box-force").removeClass("bg-forte");
    $(".box-force").removeClass("bg-m-forte");
}

function addBg(n,bg){
    for(var i=0;i<n;i++){
        box[i].classList.add(bg);
    }
}

//show and hide password
$(".toggle-password").click(function() {

  $(this).toggleClass("fa-eye fa-eye-slash");
  var input = $($(this).attr("toggle"));
  if (input.attr("type") == "password") {
    input.attr("type", "text");
  } else {
    input.attr("type", "password");
  }
});